Nordvpn linux GUi

anyone can help me how to install this app form github - https://github.com/GoBig87/NordVpnLinuxGUI

i saw guide in github page. i tried but i can’t install i think i am doing it wrong so , tell me step how to do?

Looking at the NVPN’s install.sh that NordVpnLinuxGUI’s installer.sh downloads and run, it doesn’t look that Archlinux is among the operating systems supported.

# None of the known package managers (apt, yum, dnf, zypper) are available
echo "Error: Couldn't identify the package manager"
exit 1
install.sh
#!/bin/sh

# check for root access
SUDO=
if [ "$(id -u)" -ne 0 ]; then
    SUDO=$(command -v sudo 2> /dev/null)

    if [ ! -x "$SUDO" ]; then
        echo "Error: Run this script as root"
        exit 1
    fi
fi

set -e
ARCH=$(uname -m)
BASE_URL=https://repo.nordvpn.com/
KEY_PATH=/gpg/nordvpn_public.asc
REPO_PATH_DEB=/deb/nordvpn/debian
REPO_PATH_RPM=/yum/nordvpn/centos
RELEASE="stable main"
ASSUME_YES=false

# Parse command line arguments. Available arguments are:
# -n                Non-interactive mode. With this flag present, 'assume yes' or 
#                   'non-interactive' flags will be passed when installing packages.
# -b <url>          The base URL of the public key and repository locations.
# -k <path>         Path to the public key for the repository.
# -d <path|file>    Repository location for debian packages.
# -v <version>      Debian package version to use.
# -r <path|file>    Repository location for rpm packages.
while getopts 'nb:k:d:r:v:' opt
do
    case $opt in
        n) ASSUME_YES=true ;;
        b) BASE_URL=$OPTARG ;;
        k) KEY_PATH=$OPTARG ;;
        d) REPO_PATH_DEB=$OPTARG ;;
        r) REPO_PATH_RPM=$OPTARG ;;
        v) RELEASE=$OPTARG ;;
        *) ;;
    esac
done

# Construct the paths to the package repository and its key
PUB_KEY=${BASE_URL}${KEY_PATH}
REPO_URL_DEB=${BASE_URL}${REPO_PATH_DEB}
REPO_URL_RPM=${BASE_URL}${REPO_PATH_RPM}

check_cmd() {
    command -v "$1" 2> /dev/null
}

get_install_opts_for_apt() {
    flags=$(get_install_opts_for "apt")
    RETVAL="$flags"
}

get_install_opts_for_yum() {
    flags=$(get_install_opts_for "yum")
    RETVAL="$flags"
}

get_install_opts_for_dnf() {
    flags=$(get_install_opts_for "dnf")
    RETVAL="$flags"
}

get_install_opts_for_zypper() {
    flags=$(get_install_opts_for "zypper")
    RETVAL="$flags"
}

get_install_opts_for() {
    if $ASSUME_YES; then
        case "$1" in
            zypper)
                echo " -n";;
            *)
                echo " -y";;
        esac
    fi
    echo ""
}

# For any of the following distributions, these steps are performed:
# 1. Add the NordVPN repository key
# 2. Add the NordVPN repository
# 3. Install NordVPN

# Install NordVPN for Debian, Ubuntu, Elementary OS, and Linux Mint
# (with the apt-get package manager)
install_apt() {
    if check_cmd apt-get; then
        get_install_opts_for_apt
        install_opts="$RETVAL"
        # Ensure apt is set up to work with https sources
        $SUDO apt-get $install_opts update
        $SUDO apt-get $install_opts install apt-transport-https

        # Add the repository key with either wget or curl
        if check_cmd wget; then
            wget -qO - "${PUB_KEY}" | $SUDO tee /etc/apt/trusted.gpg.d/nordvpn_public.asc > /dev/null
        elif check_cmd curl; then
            curl -s "${PUB_KEY}" | $SUDO tee /etc/apt/trusted.gpg.d/nordvpn_public.asc > /dev/null
        else
            echo "Couldn't find wget or curl - one of them is needed to proceed with the installation"
            exit 1
        fi

        echo "deb ${REPO_URL_DEB} ${RELEASE}" | $SUDO tee /etc/apt/sources.list.d/nordvpn.list
        $SUDO apt-get $install_opts update
        $SUDO apt-get $install_opts install nordvpn
        exit
    fi
}

# Install NordVPN for RHEL and CentOS
# (with the yum package manager)
install_yum() {
    if check_cmd yum && check_cmd yum-config-manager; then
        get_install_opts_for_yum
        install_opts="$RETVAL"

        repo="${REPO_URL_RPM}"
        if [ ! -f "${REPO_URL_RPM}" ]; then
            repo="${repo}/${ARCH}"
        fi

        $SUDO rpm -v --import "${PUB_KEY}"
        $SUDO yum-config-manager --add-repo "${repo}"
        $SUDO yum $install_opts install nordvpn
        exit
    fi
}

# Install NordVPN for Fedora and QubesOS
# (with the dnf package manager)
install_dnf() {
    if check_cmd dnf; then
        get_install_opts_for_dnf
        install_opts="$RETVAL"
        
        repo="${REPO_URL_RPM}"
        if [ ! -f "${REPO_URL_RPM}" ]; then
            repo="${repo}/${ARCH}"
        fi

        $SUDO rpm -v --import "${PUB_KEY}"
        $SUDO dnf config-manager --add-repo "${repo}"
        $SUDO dnf $install_opts install nordvpn
        exit
    fi
}

# Install NordVPN for openSUSE
# (with the zypper package manager)
install_zypper() {
    if check_cmd zypper; then
        if ! check_cmd curl; then
            echo "Curl is needed to proceed with the installation"
            exit 1
        fi
        get_install_opts_for_zypper
        install_opts="$RETVAL"
        
        $SUDO rpm -v --import "${PUB_KEY}"
        if [ -f "${REPO_URL_RPM}" ]; then
            $SUDO zypper addrepo -f "${REPO_URL_RPM}"
        else 
            $SUDO zypper addrepo -g -f "${REPO_URL_RPM}/${ARCH}" nordvpn
        fi
        $SUDO zypper $install_opts install nordvpn
        exit
    fi
}

install_apt
install_yum
install_dnf
install_zypper

# None of the known package managers (apt, yum, dnf, zypper) are available
echo "Error: Couldn't identify the package manager"
exit 1
1 Like

There is also packages nordvpn-bin and
gnome-shell-extension-nordvpn-connect-git

in AUR for NordVPN. If you use Gnome that is

1 Like

yes its true. archlinux not supported by nordvpn. but i search youtube i found this github project so i tried and i failed

Download the VPN config files and use NetworkManager to connect to VPN.

no i am in KDE plasma , your link will help other people

nordvpn-bin can be run from a terminal no matter what DE.

3 Likes

yes but i want try that github project. interface was amazing

You have been presented with several alternatives on how to connect to NVPN.

If you don’t approve of them, please ask NordVPN to add support for ArchLinux!
Good Luck!

3 Likes

Please note we’re not really a “tell me step how to do” something forum. You will need to do your own research first and add s last resort we’re here as well. This is at least the 5-6 “I can’t install, help me” threads you’ve made.

Follow their install directions provided. If you can’t build their package asking us likely won’t help, you will need to contact the maintainer over on git if their make script doesn’t work.

1 Like

Just for clearification. Arent im allowed now to post it how to install it?

i investigated the install.sh, and it is very simple to install it to arch (if somebody can read “bash code”).

yes my brothers issue i am asking on this account.

I wholeheartedly recommend watching this video before buying any service from Nord VPN:

He was just referring to the OP not you.

1 Like

Thats personal opinion. Maybe he is fine with that. And its seems he is already using nordvpn.

Yeah but fbodymechanic seems to be in the team from the forum here(?).

and I do not want to torperd “educational attempts” just because I now just “cheeky” post a step-by-step guide.

No, it isn’t. You either haven’t watched the video, or do not know what the phrase “personal opinion” means.

Let your brother know. In this case, it’s you the mentioned VPN installation is targeted at Debian-based distributions not at Arch. If you want to use NordVPN you have to use it through a terminal because Nord doesn’t have support for Arch. There is a Nord AUR package which is a terminal client.

2 Likes

Sure it is. if i want to jump of a bridge. i jump of a bridge. and it didnt matters for me if your say that isnt good to jump of a bridge :smiley:

And i now the problematic about nordvpn, hideme and co. But i dont care, that one reason why i use mullvad.

But if the OP want to use nordvpn, he is allowed to use nordvpn.

Of course you can. I am just noticing a pretty hefty trend by the OP - and can clearly see in the last few of their threads very (and sometimes overly) helpful people are noticably becoming less like themselves. It’s a pretty common thing called. . . well, I won’t say it this time because some people’s feelings were hurt on the last go. But, it’s a thing.

To us, it looks like it’s all the same person because it’s the same username. They should sign up and post for help, and they will likely learn more.